# GET /v1/webhook-endpoints/:endpointId (/docs/api/reference/webhooks/get-endpoint)



<Endpoint method="GET" path="/v1/webhook-endpoints/{endpointId}" auth="X-Api-Key" phase="1" />

<Parameters
  title="Path"
  rows="[
  { name: 'endpointId', type: 'string (UUID)', required: true, description: 'The endpoint id from list or create.' },
]"
/>

## Example [#example]

```bash
curl "https://api.layers.com/v1/webhook-endpoints/d4c71b62-7f08-4dc9-9d2c-8f7e2b9c4411" \
  -H "X-Api-Key: $LAYERS_API_KEY"
```

<Response status="200" description="OK">
  ```json
  {
    "id": "d4c71b62-7f08-4dc9-9d2c-8f7e2b9c4411",
    "organizationId": "2481fa5c-a404-44ed-a561-565392499abc",
    "projectId": null,
    "url": "https://your-app.example.com/layers/webhooks",
    "description": "prod reconciler",
    "status": "active",
    "events": ["job.completed", "job.failed", "content.approved"],
    "apiVersion": "v1",
    "createdAt": "2026-04-20T18:28:00.000Z",
    "updatedAt": "2026-04-20T18:28:00.000Z",
    "lastSuccessAt": "2026-04-20T18:40:11.000Z",
    "lastFailureAt": null,
    "consecutiveFailureCount": 0
  }
  ```
</Response>

## Errors [#errors]

| Status | Code        | When                                   |
| ------ | ----------- | -------------------------------------- |
| 404    | `NOT_FOUND` | Endpoint not owned by the calling org. |

## See also [#see-also]

* [Update endpoint](/docs/api/reference/webhooks/update-endpoint)
* [Delete endpoint](/docs/api/reference/webhooks/delete-endpoint)
